package model

import (
	"github.com/gogf/gf/util/guid"
	"sparrow/pkg/models"

	"github.com/jinzhu/gorm"
)

// Vendor 供应商
type Vendor struct {
	db *gorm.DB
}

// Init 1
func (a *Vendor) Init(db *gorm.DB) *Vendor {
	a.db = db
	return a
}

// Create 增加
func (a *Vendor) Create(vendor *models.Vendor) error {
	vendor.RecordId = guid.S()
	return a.db.Save(vendor).Error
}

// Delete delete
func (a *Vendor) Delete(vendor *models.Vendor) error {
	return a.db.Delete(vendor).Error
}

// Update update
func (a *Vendor) Update(vendor *models.Vendor) error {
	return a.db.Update(vendor).Error
}
